summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2018-12-10 13:01:03 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2018-12-13 11:25:21 +0100
commit2b0313c249f5cddbbfc70dd4f4fe43de912ffec6 (patch)
tree559826052a7633686642bb463780f8992aa46df6
parente731e6384e115c16a1cf1e0dbd63a389475b1f46 (diff)
downloadOSELAS.Toolchain-2b0313c249f5cddbbfc70dd4f4fe43de912ffec6.tar.gz
OSELAS.Toolchain-2b0313c249f5cddbbfc70dd4f4fe43de912ffec6.tar.xz
make_release: add more sanity checks
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
-rwxr-xr-xscripts/make_release.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/make_release.sh b/scripts/make_release.sh
index ec37e26..49a1a47 100755
--- a/scripts/make_release.sh
+++ b/scripts/make_release.sh
@@ -63,6 +63,17 @@ if git rev-parse -q --verify "refs/tags/$release" >/dev/null 2>&1; then
exit 1
fi
+config_release="$(sed -n 's/^PTXCONF_PROJECT="OSELAS.Toolchain-\(.*\)"/\1/p' ptxconfigs/*.ptxconfig | sort -u)"
+if [ "${release#${v}}" != "${config_release}" ]; then
+ echo "release version(s) from the ptxconfigs (${config_release}) do not match '${release#${v}}'" >&2
+ exit 1
+fi
+
+if grep -q UNRELEASED debian/changelog; then
+ echo "debian changelog entry must not be UNRELEASED" >&2
+ exit 1
+fi
+
tmp="$(mktemp -d /tmp/${0##*/}.XXXXXX)"
log="${tmp}/log"